# Can use this section to enforce stages and the order they must run in
stages:
  - .pre
  - build
  - test
  - .post


# Can add default jobs
compliance_job:
  stage: .pre
  script: echo "Message from Compliance Framework"

# Can add default jobs
finish_job:
  stage: .post
  script: echo "Compliance Framework Complete"

include:  # Execute individual project's configuration (if project contains .gitlab-ci.yml)
  project: '$CI_PROJECT_PATH'
  file: '$CI_CONFIG_PATH'
  ref: '$CI_COMMIT_REF_NAME' # Must be defined or MR pipelines always use the use default branch
